set KANOTIXIMG=KANOTIX-2006-01-RC4.iso
set KANOTIXMNU=KANOTIX-2006-01-RC4


@echo off
if EXIST C:\boot\%KANOTIXMNU%.dma GOTO BEXIT
REM ********** check for proper Partition 
files\detectpart.exe
REM ********** assign new Environmental variable --- %dmaPART%
call part.bat
REM ********** delete temporary batch-file
del part.bat /F /Q /S

REM copy Grub bootloader
copy files\grldr c:
attrib +S +H +R c:\grldr

REM modify boot.ini
attrib -S -H -R c:\boot.ini
copy C:\boot.ini C:\boot.dma
attrib +S +H +R c:\boot.dma
attrib +S +H c:\boot.ini
echo C:\GRLDR="Start %KANOTIXMNU%" >> c:\boot.ini
attrib +S +H +R c:\boot.ini


REM copy folder structure
rem xcopy /E /S boot c:\boot\
mkdir c:\boot
mkdir c:\boot\grub
mkdir c:\boot\kanotix
copy files\menu.lst c:\boot\grub\menu.lst
copy files\vmlinuz c:\boot\kanotix\vmlinuz
copy files\miniroot.gz c:\boot\kanotix\miniroot.gz
REM *** Creating bootmenu entry ***
ECHO title %KANOTIXMNU% >> C:\boot\grub\menu.lst
ECHO kernel (hd0,%dmaPART%)/boot/kanotix/vmlinuz fromhd fromiso=%KANOTIXIMG% ramdisk_size=100000 init=/etc/init lang=us-utf8 apm=power-off nomce quiet alsa unionfs >> C:\boot\grub\menu.lst
ECHO initrd (hd0,%dmaPART%)/boot/kanotix/miniroot.gz >> C:\boot\grub\menu.lst
ECHO. >> C:\boot\grub\menu.lst
ECHO. "%KANOTIXMNU% installed" >> C:\boot\%KANOTIXMNU%.dma
ECHO.
cls
@echo off        
echo.
echo.
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo !!                    You have to copy                                   !!
echo !!                    %KANOTIXIMG%                                    
echo !!          to the root folder of any hdd partition                      !!
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo.
echo.
pause
exit

:BEXIT
CLS
@echo off        
echo.
echo.
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo !!                      You have already installed                       !!
echo !!                         %KANOTIXIMG%                 
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo.
echo.
pause
exit
